//These variables will get set automatically
texture tex1;

float2 rcpres;
float Timer;

sampler s0 = sampler_state { texture = <tex1>; };




float4 NormalColourPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
	float4 color = tex2D( s0, Tex );
	color.a = 1;
	return color;
}

float4 WaterPass( in float2 Tex : TEXCOORD0 ) : COLOR0
{
        float2 fTexCoords = Tex.xy;
        fTexCoords.x = fTexCoords.x + (sin((fTexCoords.y + Timer) * 30) * 0.05f);
        Tex.x = fTexCoords.x;
	float4 Color = tex2D( s0, Tex.xy);
	return Color;
}




Technique T0
{

    pass p0 { PixelShader = compile ps_2_0 NormalColourPass(); }
    pass p1 { PixelShader = compile ps_2_0 WaterPass(); }
}

